OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKTObj
TObj

# TObj_HiddenPartition Class Reference

`#include <TObj_HiddenPartition.hxx>`

Inheritance diagram for TObj_HiddenPartition:

[legend]

## Public Member Functions
Standard_EXPORT | TObj_HiddenPartition (const TDF_Label &theLabel)
| constructor
virtual Standard_EXPORT Standard_Integer | GetTypeFlags () const
| Returns all flags of father except Visible.

## Detailed Description

This class is partition is predefined hidden flag

## Constructor & Destructor Documentation

Standard_EXPORT TObj_HiddenPartition::TObj_HiddenPartition | ( | const TDF_Label & | theLabel | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Integer TObj_HiddenPartition::GetTypeFlags | ( |  | ) | const`[virtual]`

| Reimplemented from TObj_Object.

The documentation for this class was generated from the following file:

- TObj_HiddenPartition.hxx